DefineClass.MyAttackRover = {
  __parents = {
    "BaseAttacker"
  },
  max_health = 300,
  rocket_damage = 5,
}

DefineClass.AttackRoverBuilding = {
  __parents = {
    "BaseRoverBuilding"
  },
  rover_class = "MyAttackRover"
}

function MyAttackRover:GameInit()
  local city = self.city or UICity
  self.display_name = T{"超级战车"}
  self.reclaimed_description = T{"火星大魔王赠送的超级战车，不但可以打怪还可以打天打地打自己"}
  self.description = T{"火星大魔王派来的超级战车，目的就是赶你出火星"}
  if self.reclaimed then
      city:RemoveFromLabel("HostileAttackers", self)
	  city:AddToLabel("Rover", self)
      -- city:AddToLabel("Rover", self)
      -- self.name = T{"超级战车"}
  else 
	  city:RemoveFromLabel("Rover", self)
	  city:AddToLabel("HostileAttackers", self)
  end
  if self.need_spawn then
	self:SetCommand("Spawn")
  else
    self:SetCommand("Idle")
  end
  if self.name == "" then
    self.name = GenerateMachineName(self.class)
  end
end
