return {
PlaceObj('ModItemCode', {
	'FileName', "Code/DangerAttacker.lua",
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/AttackRover.lua",
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/AttackDrone.lua",
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/AttackShultt.lua",
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/DangerBaseClass.lua",
}),


PlaceObj('ModItemBuildingTemplate', {
	'name', "AttackRoverBuilding",
	'template_class', "AttackRoverBuilding",
	'construction_cost_Concrete', 100000,
	'construction_cost_Metals', 100000,
	'construction_cost_Polymers', 100000,
	'construction_cost_Electronics', 100000,
	'construction_cost_MachineParts', 100000,
	'construction_cost_PreciousMetals', 100000,
	'build_points', 5000,
	'is_tall', true,
	'dome_required', false,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 50000,
	'display_name', T{"超级战车"},
	'display_name_pl', T{"超级战车"},
	'description', T{"火星大魔王赠送的超级战车，不但可以打怪还可以打天打地打自己"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/rover_combat.tga",
	'build_pos', 1,
	'entity', "CombatRover",
	'color_modifier', RGBA(0, 133, 43, 255),
	"on_off_button",
	false,
	"prio_button",
	false,
	"palettes",
	"AttackRoverRed"
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MyAttackDroneBuilding",
	'template_class', "MyAttackDroneBuilding",
	'construction_cost_Concrete', 50000,
	'construction_cost_Metals', 50000,
	'construction_cost_Polymers', 50000,
	'construction_cost_Electronics', 50000,
	'construction_cost_MachineParts', 50000,
	'construction_cost_PreciousMetals', 50000,
	'build_points', 3000,
	'is_tall', true,
	'dome_required', false,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 50000,
	'display_name', T{"战斗无人机"},
	'display_name_pl', T{"战斗无人机"},
	'description', T{"火星大魔王派来的战斗无人机，近战王者"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/drone.tga",
	'build_pos', 2,
	'entity', "DroneMaintenance",
	'color_modifier', RGBA(0, 133, 43, 255),
	"on_off_button",
	false,
	"prio_button",
	false,
	"palettes",
	"AttackRoverRed"
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MyAttackFemaleBuilding",
	'template_class', "MyAttackFemaleBuilding",
	'construction_cost_Concrete', 200000,
	'construction_cost_Metals', 200000,
	'construction_cost_Polymers', 200000,
	'construction_cost_Electronics', 200000,
	'construction_cost_MachineParts', 200000,
	'construction_cost_PreciousMetals', 200000,
	'build_points', 10000,
	'is_tall', true,
	'dome_required', false,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 50000,
	'display_name', T{"阿修罗"},
	'display_name_pl', T{"阿修罗"},
	'description', T{"火星大魔王的子民拥有魔法技能闪电风暴, 群攻法师"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/res_shuttle.tga",
	'build_pos', 1,
	'entity', "Female",
	'color_modifier', RGBA(0, 133, 43, 255),
	"on_off_button",
	false,
	"prio_button",
	false,
	"palettes",
	"AttackRoverRed"
}),

PlaceObj('ModItemAttachment', {
	'Parent', "WallLong",
	'Child', "RocksLight_04",
	'AttachOffset', point(-1360, 0, -150),
	'AttachScale', 60,
}),
PlaceObj('ModItemAttachment', {
	'Parent', "WallLong",
	'Child', "RocksLight_04",
	'AttachOffset', point(1350, 0, -150),
	'AttachScale', 60,
}),
PlaceObj('ModItemAttachment', {
	'name', "Gate",
	'Parent', "WallGate",
	'Child', "DomeFacet_Entrance",
	'AttachOffset', point(1990, 65, 0),
	'AttachRotate', point(0, 0, -5400),
	'AttachScale', 88,
}),
PlaceObj('ModItemAttachment', {
	'name', "WallBody",
	'Parent', "Wall",
	'Child', "WorkshopTubeStraight",
	'AttachOffset', point(1270, 0, -125),
	'AttachScale', 380,
	'AttachColor', RGBA(53, 53, 53, 188),
}),
PlaceObj('ModItemAttachment', {
	'name', "WallBodyG",
	'Parent', "WallGate",
	'Child', "WorkshopTubeStraight",
	'AttachOffset', point(1260, 0, -125),
	'AttachScale', 380,
	'AttachColor', RGBA(53, 53, 53, 188),
}),
PlaceObj('ModItemAttachment', {
	'name', "WallBodyL1",
	'Parent', "WallLong",
	'Child', "WorkshopTubeStraight",
	'AttachOffset', point(1270, 0, -125),
	'AttachScale', 380,
	'AttachColor', RGBA(53, 53, 53, 188),
}),
PlaceObj('ModItemAttachment', {
	'name', "WallBodyL2",
	'Parent', "WallLong",
	'Child', "WorkshopTubeStraight",
	'AttachOffset', point(270, 0, -125),
	'AttachScale', 380,
	'AttachColor', RGBA(53, 53, 53, 188),
}),
PlaceObj('ModItemAttachment', {
	'name', "WallCloseBlock",
	'Parent', "Wall",
	'Child', "RocksLight_04",
	'AttachOffset', point(1350, 0, -150),
	'AttachRotate', point(0, 0, 10800),
	'AttachScale', 60,
}),
PlaceObj('ModItemAttachment', {
	'name', "WallEnd",
	'Parent', "WallEnd",
	'Child', "TubeJoint",
	'AttachRotate', point(-1800, 5399, 0),
	'AttachScale', 420,
	'AttachColor', RGBA(53, 53, 53, 188),
}),
PlaceObj('ModItemAttachment', {
	'name', "WallEndBlock",
	'Parent', "WallEnd",
	'Child', "RocksLight_04",
	'AttachOffset', point(0, 0, -280),
	'AttachScale', 107,
}),
PlaceObj('ModItemAttachment', {
	'name', "WallGCloseBlock",
	'Parent', "WallGate",
	'Child', "RocksLight_04",
	'AttachOffset', point(-375, 0, -150),
	'AttachRotate', point(0, 0, 10800),
	'AttachScale', 60,
}),
PlaceObj('ModItemAttachment', {
	'name', "WallOpenBlock",
	'Parent', "Wall",
	'Child', "RocksLight_04",
	'AttachOffset', point(-360, 0, -150),
	'AttachScale', 60,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Wall",
	'template_class', "ElectricityConsumer",
	'pin_rollover_hint', T{788722027180, --[[ModItemBuildingTemplate Wall pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{909776040317, --[[ModItemBuildingTemplate Wall pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> View"},
	'construction_cost_Concrete', 1000,
	'build_points', 1000,
	'dome_forbidden', true,
	'maintenance_resource_type', "Concrete",
	'maintenance_resource_amount', 500,
	'maintenance_threshold_base', 1000000,
	'display_name', T{"混凝土墙"},
	'display_name_pl', T{"混凝土墙"},
	'description', T{"一个基本的混凝土墙。用于阻止攻击者移动。需要微不足道的维护。"},
	'build_category', "Domes",
	'display_icon', "UI/Wall.tga",
	'build_pos', 7,
	'entity', "BlackCubeDepot",
	'encyclopedia_text', T{719597524336, --[[ModItemBuildingTemplate Wall encyclopedia_text]] "Mod Info:<newline>混凝土墙在放置时最初会显示为小的物体(在等待施工时).  最后的结构在完成时出现,它们的方向并不重要，虽然一致性的方向会产生更清晰的视觉效果.<newline><newline>它阻断了殖民者、无人机和漫游者以及战车的移动，也阻挡了电缆的铺设。然而管道可以通过墙，它们可以像平时一样被拆除，因此需要“Docommision Protocol”来完全移除.<newline><newline><newline><newline>"},
	'encyclopedia_image', "UI/EncWalls.tga",
	'on_off_button', false,
	'prio_button', false,
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'demolish_return_resources', false,
	'refund_on_salvage', false,
	'electricity_consumption', 0,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WallEnd",
	'template_class', "ElectricityConsumer",
	'pin_rollover_hint', T{170039835155, --[[ModItemBuildingTemplate WallEnd pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{130424231615, --[[ModItemBuildingTemplate WallEnd pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> View"},
	'construction_cost_Concrete', 1000,
	'build_points', 1000,
	'dome_forbidden', true,
	'maintenance_resource_type', "Concrete",
	'maintenance_resource_amount', 500,
	'maintenance_threshold_base', 1000000,
	'display_name', T{"混凝土墙节点"},
	'display_name_pl', T{"混凝土墙节点"},
	'description', T{"一个基本的混凝土墙节点,阻止无人机,战车等的移动, 需要微不足道的维护。"},
	'build_category', "Domes",
	'display_icon', "UI/WallNode.tga",
	'build_pos', 10,
	'entity', "GardenFountains_01",
	'encyclopedia_text', T{377235731479, --[[ModItemBuildingTemplate WallEnd encyclopedia_text]] "Mod Info:<newline>混凝土墙在放置时最初会显示为小的物体(在等待施工时).  最后的结构在完成时出现,它们的方向并不重要，虽然一致性的方向会产生更清晰的视觉效果.<newline><newline>它阻断了殖民者、无人机和漫游者以及战车的移动，也阻挡了电缆的铺设。然而管道可以通过墙，它们可以像平时一样被拆除，因此需要“Docommision Protocol”来完全移除.<newline><newline><newline><newline>"},
	'encyclopedia_image', "UI/EncWalls.tga",
	'on_off_button', false,
	'prio_button', false,
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'demolish_return_resources', false,
	'refund_on_salvage', false,
	'electricity_consumption', 0,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WallGate",
	'template_class', "ElectricityConsumer",
	'pin_rollover_hint', T{836529696230, --[[ModItemBuildingTemplate WallGate pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{845927245839, --[[ModItemBuildingTemplate WallGate pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> View"},
	'construction_cost_Concrete', 1000,
	'construction_cost_Metals', 1000,
	'build_points', 1000,
	'dome_forbidden', true,
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 500,
	'maintenance_threshold_base', 1000000,
	'display_name', T{713248036501, --[[ModItemBuildingTemplate WallGate display_name]] "允许无人机的墙"},
	'display_name_pl', T{956607021277, --[[ModItemBuildingTemplate WallGate display_name_pl]] "允许无人机的墙"},
	'description', T{793830706891, --[[ModItemBuildingTemplate WallGate description]] "一种基本的混凝土墙，带有一扇无人机门(它是在墙的旁边建造的)。电力电缆与无人机可以通过大门,但是阻止任何攻击者与载具, 需要微不足道的维护。"},
	'build_category', "Domes",
	'display_icon', "UI/WallGate.tga",
	'build_pos', 9,
	'entity', "StorageDepotSmall_05",
	'encyclopedia_text', T{259505620578, --[[ModItemBuildingTemplate WallGate encyclopedia_text]] "Mod Info:<newline>Walls with Drone Gates will initially appear as Machine Parts Depots when being placed (and while awaiting construction).  The final structure appears on completion, with the 'Gate' appearing next to (not on) the Depot wireframe, adjacent to the 'Cog' symbol.  Their orientation doesn't matter, although consistant orientation with other Walls will produce a 'cleaner' visual effect.<newline><newline>Gates block all movement by Rovers, but not by Colonists and Drones.  Power Cables can pass through a Gate, and Life Support Pipes can pass over all Walls.  Walls with Drone Gates can be demolished as usual, and will therefore require 'Docommision Protocol' for complete removal.<newline><newline>[KNOWN ISSUE:  Colonists and Drones will not actually pass through the gate itself, but will 'clip' through the immieidietly adjacent Wall.  This is barely perceptible when zoomed out.  Resolution will require a new 3D model in addition to work within the Mod Editor / Lua code.] "},
	'encyclopedia_image', "UI/EncWalls.tga",
	'on_off_button', false,
	'prio_button', false,
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'demolish_return_resources', false,
	'refund_on_salvage', false,
	'electricity_consumption', 0,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WallLong",
	'template_class', "ElectricityConsumer",
	'pin_rollover_hint', T{823477190359, --[[ModItemBuildingTemplate WallLong pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{643061761215, --[[ModItemBuildingTemplate WallLong pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> View"},
	'construction_cost_Concrete', 2000,
	'build_points', 1000,
	'dome_forbidden', true,
	'maintenance_resource_type', "Concrete",
	'maintenance_threshold_base', 1000000,
	'display_name', T{341144732742, --[[ModItemBuildingTemplate WallLong display_name]] "更长的墙"},
	'display_name_pl', T{189683126781, --[[ModItemBuildingTemplate WallLong display_name_pl]] "更长的墙"},
	'description', T{812853785037, --[[ModItemBuildingTemplate WallLong description]] "更长的混凝土墙"},
	'build_category', "Domes",
	'display_icon', "UI/Wall.tga",
	'build_pos', 8,
	'entity', "StorageDepot",
	'encyclopedia_text', T{760848928585, --[[ModItemBuildingTemplate WallLong encyclopedia_text]] "Mod Info:<newline>Long Walls will initially appear as Universal Depots when being placed (and while awaiting construction).  The final structure appears on completion.  Their orientation doesn't matter, although consistant orientation will produce a 'cleaner' visual effect.<newline><newline>Long Walls block all movement by Colonisits, Drones and Rovers, and also block the laying of Power Cables.  However, Life Support Pipes can pass over Long Walls.  They can be demolished as usual, and will therefore require 'Docommision Protocol' for complete removal."},
	'on_off_button', false,
	'prio_button', false,
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'demolish_return_resources', false,
	'refund_on_salvage', false,
	'electricity_consumption', 0,
}),
}
